Bug 234709 - www/gitea: Add sqlite_unlock_notify tag
Summary: www/gitea: Add sqlite_unlock_notify tag
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 21:18 UTC by Adam Weinberger
Modified: 2019-01-27 09:06 UTC (History)
2 users (show)

See Also:
stb: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2019-01-07 21:18:29 UTC
This is a request to enable the sqlite_unlock_notify tag when 1.7.0 is released.


When multiple concurrent git operations are made against a repo backed by gitea with a SQLite database, transient errors occur, such as:
  Gitea: Internal error 
  UpdatePublicKey: Failed to update public key: database is locked
or
  Gitea: You do not have allowed for this action
  User [user] does not have allowed access to repository [repo] 's code
  fatal: Could not read from remote repository.

  Please make sure you have the correct access rights
  and the repository exists.

A new tag (sqlite_unlock_notify) was added recently to fix this, and it should arrive with 1.7.0. databases/sqlite builds with UNLOCK_NOTIFY enabled by default, so it should be safe to tie this new tag to the SQLITE option of gitea.

-SQLITE_VARS=    GO_TAGS+=sqlite
+SQLITE_VARS=    GO_TAGS+="sqlite sqlite_unlock_notify"
Comment 1 stb 2019-01-07 21:21:12 UTC
Do you have an upstream reference, like a GitHub issue? I'm happy to add this once 1.7 is released, but it would be great to have the upstream reference.
Comment 2 Adam Weinberger freebsd_committer 2019-01-07 21:33:28 UTC
Thank you for reminding me! I meant to attach these but completely forgot:

https://github.com/go-gitea/gitea/issues/2040
https://docs.gitea.io/en-us/install-from-source
Comment 3 Adam Weinberger freebsd_committer 2019-01-22 23:32:52 UTC
Reassigning to joneum, who is looking after 235140 (the update to 1.7.0). This patch has been included in that PR's patch (thanks!).
Comment 4 commit-hook freebsd_committer 2019-01-26 16:26:43 UTC
A commit references this bug:

Author: joneum
Date: Sat Jan 26 16:25:38 UTC 2019
New revision: 491299
URL: https://svnweb.freebsd.org/changeset/ports/491299

Log:
  www/gitea: Update to 1.7.0 [1]

  Add sqlite_unlock_notify tag [2]

  PR:		235140 [1], 234709 [2]
  Submitted by:	stb@lassitu.de (maintainer) [1]
  Reported by:	adamw [2]
  Approved by:	maintainer [2]
  MFH:		2019Q1
  Security:	7f6146aa-2157-11e9-9ba0-4c72b94353b5
  Sponsored by:	Netzkommune Gmbh

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
  head/www/gitea/pkg-plist
Comment 5 commit-hook freebsd_committer 2019-01-27 09:04:17 UTC
A commit references this bug:

Author: joneum
Date: Sun Jan 27 09:03:12 UTC 2019
New revision: 491329
URL: https://svnweb.freebsd.org/changeset/ports/491329

Log:
  MFH: r491299

  www/gitea: Update to 1.7.0 [1]

  Add sqlite_unlock_notify tag [2]

  PR:		235140 [1], 234709 [2]
  Submitted by:	stb@lassitu.de (maintainer) [1]
  Reported by:	adamw [2]
  Approved by:	maintainer [2]
  Security:	7f6146aa-2157-11e9-9ba0-4c72b94353b5
  Sponsored by:	Netzkommune Gmbh

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/www/gitea/Makefile
  branches/2019Q1/www/gitea/distinfo
  branches/2019Q1/www/gitea/pkg-plist